<?php
/**
 * The template to display the CPT_Name archive
 *
 * @package WordPress
 * @subpackage BaseKit Addons
 * @since v1.0.0
 */

get_header(); 

do_action('trx_addons_action_start_archive');

if (have_posts()) {

	?><div class="sc_example sc_example_default">
		
		<div class="sc_example_columns_wrap <?php echo esc_attr(trx_addons_get_columns_wrap_class()); ?> columns_padding_bottom"><?php

			$sc_example_style   = explode('_', trx_addons_get_option('example_style'));
			$sc_example_type    = $sc_example_style[0];
			$sc_example_columns = empty($sc_example_style[1]) ? 1 : max(1, $sc_example_style[1]);

			while ( have_posts() ) { the_post(); 
				basekit_addons_get_template_part(array(
												BASEKIT_ADDONS_PLUGIN_CPT . 'example/tpl.'.trim($sc_example_type).'-item.php',
												BASEKIT_ADDONS_PLUGIN_CPT . 'example/tpl.default-item.php'
												),
												'trx_addons_args_sc_example',
												array(
													'type' => $sc_example_type,
													'columns' => $sc_example_columns,
													'slider' => false
												)
											);
			}

		?></div><!-- .sc_example_columns_wrap --><?php

    ?></div><!-- .sc_example --><?php

	the_posts_pagination( array(
		'mid_size'  => 2,
		'prev_text' => esc_html__( '<', 'basekit-addons' ),
		'next_text' => esc_html__( '>', 'basekit-addons' ),
		'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Page', 'basekir_addons' ) . ' </span>',
	) );

} else {

	trx_addons_get_template_part('templates/tpl.posts-none.php');

}

do_action('trx_addons_action_end_archive');

get_footer();
?>