<?php
/**
 * The template to display the CPT_Name single page
 *
 * @package WordPress
 * @subpackage BaseKit Addons
 * @since v1.0.0
 */

get_header();

while ( have_posts() ) { the_post();
	?>
	<article id="post-<?php the_ID(); ?>" <?php post_class( 'example_page itemscope' ); trx_addons_seo_snippets('', 'Article'); ?>>

		<?php do_action('trx_addons_action_before_article', 'example.single'); ?>
		
		<section class="example_page_header">	

			<?php
			// Image
			if ( !trx_addons_sc_layouts_showed('featured') && has_post_thumbnail() ) {
				?><div class="example_page_featured"><?php
					the_post_thumbnail( trx_addons_get_thumb_size('huge'), trx_addons_seo_image_params(array(
								'alt' => get_the_title()
								))
							);
				?></div><?php
			}
			
			// Title
			if ( !trx_addons_sc_layouts_showed('title') ) {
				?><h2 class="example_page_title"><?php the_title(); ?></h2><?php
			}
			?>

		</section>
		<?php

		// Post content
		?><section class="example_page_content entry-content"<?php trx_addons_seo_snippets('articleBody'); ?>><?php
			the_content( );
		?></section><!-- .entry-content --><?php

		do_action('trx_addons_action_after_article', 'example.single');

	?></article><?php

	// Related items (select dishes with same category)
	$taxonomies = array();
	$terms = get_the_terms(get_the_ID(), BASEKIT_ADDONS_CPT_EXAMPLE_TAXONOMY);
	if ( !empty( $terms ) ) {
		$taxonomies[BASEKIT_ADDONS_CPT_EXAMPLE_TAXONOMY] = array();
		foreach( $terms as $term )
			$taxonomies[BASEKIT_ADDONS_CPT_EXAMPLE_TAXONOMY][] = $term->term_id;
	}

	$related_style   = explode('_', trx_addons_get_option('example_style'));
	$related_type    = $related_style[0];
	$related_columns = empty($related_style[1]) ? 1 : max(1, $related_style[1]);
	
	trx_addons_get_template_part('templates/tpl.posts-related.php',
										'trx_addons_args_related',
										apply_filters('trx_addons_filter_args_related', array(
															'class' => 'example_page_related sc_example sc_example_'.esc_attr($related_type),
															'posts_per_page' => $related_columns,
															'columns' => $related_columns,
															'template' => BASEKIT_ADDONS_PLUGIN_CPT . 'example/tpl.'.trim($related_type).'-item.php',
															'template_args_name' => 'trx_addons_args_sc_example',
															'post_type' => BASEKIT_ADDONS_CPT_EXAMPLE_PT,
															'taxonomies' => $taxonomies
															)
													)
									);

	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

get_footer();
?>