<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.50
 */

$rumble_template_args = get_query_var( 'rumble_template_args' );
if ( is_array( $rumble_template_args ) ) {
	$rumble_columns    = empty( $rumble_template_args['columns'] ) ? 2 : max( 1, $rumble_template_args['columns'] );
	$rumble_blog_style = array( $rumble_template_args['type'], $rumble_columns );
} else {
	$rumble_blog_style = explode( '_', rumble_get_theme_option( 'blog_style' ) );
	$rumble_columns    = empty( $rumble_blog_style[1] ) ? 2 : max( 1, $rumble_blog_style[1] );
}
$rumble_blog_id       = rumble_get_custom_blog_id( join( '_', $rumble_blog_style ) );
$rumble_blog_style[0] = str_replace( 'blog-custom-', '', $rumble_blog_style[0] );
$rumble_expanded      = ! rumble_sidebar_present() && rumble_is_on( rumble_get_theme_option( 'expand_content' ) );
$rumble_animation     = rumble_get_theme_option( 'blog_animation' );
$rumble_components    = rumble_array_get_keys_by_value( rumble_get_theme_option( 'meta_parts' ) );

$rumble_post_format   = get_post_format();
$rumble_post_format   = empty( $rumble_post_format ) ? 'standard' : str_replace( 'post-format-', '', $rumble_post_format );

$rumble_blog_meta     = rumble_get_custom_layout_meta( $rumble_blog_id );
$rumble_custom_style  = ! empty( $rumble_blog_meta['scripts_required'] ) ? $rumble_blog_meta['scripts_required'] : 'none';

if ( ! empty( $rumble_template_args['slider'] ) || $rumble_columns > 1 || ! rumble_is_off( $rumble_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $rumble_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo ( rumble_is_off( $rumble_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $rumble_custom_style ) ) . '-1_' . esc_attr( $rumble_columns );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" 
<?php
	post_class(
			'post_item post_format_' . esc_attr( $rumble_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $rumble_columns )
					. ' post_layout_' . esc_attr( $rumble_blog_style[0] )
					. ' post_layout_' . esc_attr( $rumble_blog_style[0] ) . '_' . esc_attr( $rumble_columns )
					. ( ! rumble_is_off( $rumble_custom_style )
						? ' post_layout_' . esc_attr( $rumble_custom_style )
							. ' post_layout_' . esc_attr( $rumble_custom_style ) . '_' . esc_attr( $rumble_columns )
						: ''
						)
		);
	echo ( ! rumble_is_off( $rumble_animation ) && empty( $rumble_template_args['slider'] ) ? ' data-animation="' . esc_attr( rumble_get_animation_classes( $rumble_animation ) ) . '"' : '' );
?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'rumble_action_show_layout', $rumble_blog_id );
	?>
</article><?php
if ( ! empty( $rumble_template_args['slider'] ) || $rumble_columns > 1 || ! rumble_is_off( $rumble_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
