<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */

$rumble_template_args = get_query_var( 'rumble_template_args' );
if ( is_array( $rumble_template_args ) ) {
	$rumble_columns    = empty( $rumble_template_args['columns'] ) ? 2 : max( 1, $rumble_template_args['columns'] );
	$rumble_blog_style = array( $rumble_template_args['type'], $rumble_columns );
} else {
	$rumble_blog_style = explode( '_', rumble_get_theme_option( 'blog_style' ) );
	$rumble_columns    = empty( $rumble_blog_style[1] ) ? 2 : max( 1, $rumble_blog_style[1] );
}
$rumble_post_format = get_post_format();
$rumble_post_format = empty( $rumble_post_format ) ? 'standard' : str_replace( 'post-format-', '', $rumble_post_format );
$rumble_animation   = rumble_get_theme_option( 'blog_animation' );

?><div class="
<?php
if ( ! empty( $rumble_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $rumble_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $rumble_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $rumble_columns )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	echo ( ! rumble_is_off( $rumble_animation ) && empty( $rumble_template_args['slider'] ) ? ' data-animation="' . esc_attr( rumble_get_animation_classes( $rumble_animation ) ) . '"' : '' );
	?>
>
<?php

// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$rumble_image_hover = ! empty( $rumble_template_args['hover'] ) && ! rumble_is_inherit( $rumble_template_args['hover'] )
								? $rumble_template_args['hover']
								: rumble_get_theme_option( 'image_hover' );
	// Featured image
	rumble_show_post_featured(
		array(
			'hover'         => $rumble_image_hover,
			'no_links'      => ! empty( $rumble_template_args['no_links'] ),
			'thumb_size'    => rumble_get_thumb_size(
				strpos( rumble_get_theme_option( 'body_style' ), 'full' ) !== false || $rumble_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'dots' == $rumble_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $rumble_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!