<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js
									<?php
										// Class scheme_xxx need in the <html> as context for the <body>!
										echo ' scheme_' . esc_attr( rumble_get_theme_option( 'color_scheme' ) );
									?>
										">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>
    <?php wp_body_open(); ?>

	<?php do_action( 'rumble_action_before_body' ); ?>

	<div class="body_wrap">

		<div class="page_wrap">
			<?php
			// Desktop header
			$rumble_header_type = rumble_get_theme_option( 'header_type' );
			if ( 'custom' == $rumble_header_type && ! rumble_is_layouts_available() ) {
				$rumble_header_type = 'default';
			}
			get_template_part( apply_filters( 'rumble_filter_get_template_part', "templates/header-{$rumble_header_type}" ) );

			// Side menu
			if ( in_array( rumble_get_theme_option( 'menu_style' ), array( 'left', 'right' ) ) ) {
				get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-navi-side' ) );
			}

			// Mobile menu
			get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-navi-mobile' ) );
			
			// Single posts banner after header
			rumble_show_post_banner( 'header' );
			?>

			<div class="page_content_wrap">
				<?php
				// Single posts banner on the background
				if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {

					rumble_show_post_banner( 'background' );

					$rumble_post_thumbnail_type  = rumble_get_theme_option( 'post_thumbnail_type' );
					$rumble_post_header_position = rumble_get_theme_option( 'post_header_position' );
					$rumble_post_header_align    = rumble_get_theme_option( 'post_header_align' );

					// Boxed post thumbnail
					if ( in_array( $rumble_post_thumbnail_type, array( 'boxed', 'fullwidth') ) ) {
						ob_start();
						?>
						<div class="header_content_wrap header_align_<?php echo esc_attr( $rumble_post_header_align ); ?>">
							<?php
							if ( 'boxed' === $rumble_post_thumbnail_type ) {
								?>
								<div class="content_wrap">
								<?php
							}

							// Post title and meta
							if ( 'above' === $rumble_post_header_position ) {
								rumble_show_post_title_and_meta();
							}

							// Featured image
							rumble_show_post_featured_image();

							// Post title and meta
							if ( in_array( $rumble_post_header_position, array( 'under', 'on_thumb' ) ) ) {
								rumble_show_post_title_and_meta();
							}

							if ( 'boxed' === $rumble_post_thumbnail_type ) {
								?>
								</div>
								<?php
							}
							?>
						</div>
						<?php
						$rumble_post_header = ob_get_contents();
						ob_end_clean();
						if ( strpos( $rumble_post_header, 'post_featured' ) !== false || strpos( $rumble_post_header, 'post_title' ) !== false ) {
							rumble_show_layout( $rumble_post_header );
						}
					}
				}

				// Widgets area above page content
				$rumble_body_style   = rumble_get_theme_option( 'body_style' );
				$rumble_widgets_name = rumble_get_theme_option( 'widgets_above_page' );
				$rumble_show_widgets = ! rumble_is_off( $rumble_widgets_name ) && is_active_sidebar( $rumble_widgets_name );
				if ( $rumble_show_widgets ) {
					if ( 'fullscreen' != $rumble_body_style ) {
						?>
						<div class="content_wrap">
							<?php
					}
					rumble_create_widgets_area( 'widgets_above_page' );
					if ( 'fullscreen' != $rumble_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}
				}

				// Content area
				if ( 'fullscreen' != $rumble_body_style ) {
					?>
					<div class="content_wrap">
						<?php
				}
				?>

				<div class="content">
					<?php
					// Widgets area inside page content
					rumble_create_widgets_area( 'widgets_above_content' );
