<?php
/**
 * The template for homepage posts with "Excerpt" style
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */

rumble_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	rumble_blog_archive_start();

	?><div class="posts_container">
		<?php

		$rumble_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
		$rumble_sticky_out = rumble_get_theme_option( 'sticky_style' ) == 'columns'
								&& is_array( $rumble_stickies ) && count( $rumble_stickies ) > 0 && get_query_var( 'paged' ) < 1;
		if ( $rumble_sticky_out ) {
			?>
			<div class="sticky_wrap columns_wrap">
			<?php
		}
		while ( have_posts() ) {
			the_post();
			if ( $rumble_sticky_out && ! is_sticky() ) {
				$rumble_sticky_out = false;
				?>
				</div>
				<?php
			}
			$rumble_part = $rumble_sticky_out && is_sticky() ? 'sticky' : 'excerpt';
			get_template_part( apply_filters( 'rumble_filter_get_template_part', 'content', $rumble_part ), $rumble_part );
		}
		if ( $rumble_sticky_out ) {
			$rumble_sticky_out = false;
			?>
			</div>
			<?php
		}

		?>
	</div>
	<?php

	rumble_show_pagination();

	rumble_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'rumble_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'rumble_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
