<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'rumble_mptt_get_css' ) ) {
	add_filter( 'rumble_filter_get_css', 'rumble_mptt_get_css', 10, 2 );
	function rumble_mptt_get_css( $css, $args ) {

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

.post_type_mp-event .timeslot .timeslot-user .avatar,
.post_type_mp-column .event-user .avatar {
	-webkit-border-radius: {$vars['rad50']};
	    -ms-border-radius: {$vars['rad50']};
			border-radius: {$vars['rad50']};
}
CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

/* Table */
.mptt-shortcode-wrapper .mptt-shortcode-table tr.mptt-shortcode-row th {
	color: {$colors['text_dark']};
	border-color: {$colors['extra_bg_hover']};
	background-color: {$colors['alter_bg_color']};
}
.mptt-shortcode-wrapper{
    border-color: {$colors['bd_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tr[class*="mptt-shortcode-row-"] td {
	color: {$colors['alter_dark']};
	border-color: {$colors['bd_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tbody tr[class*="mptt-shortcode-row"] + tr[class*="mptt-shortcode-row"] td, .mptt-shortcode-wrapper .mptt-shortcode-table tbody tr:first-child td{
    border-color: {$colors['bd_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tr[class*="mptt-shortcode-row-"]:nth-child(2n+1) > td,
.mptt-shortcode-wrapper .mptt-shortcode-table.mptt-theme-mode tbody tr:nth-child(2n+1) td.event {
	background-color: {$colors['bg_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tr[class*="mptt-shortcode-row-"]:nth-child(2n) > td,
.mptt-shortcode-wrapper .mptt-shortcode-table.mptt-theme-mode tbody tr:nth-child(2n) td.event {
	background-color: {$colors['alter_bg_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tbody .mptt-event-container {
	outline-color: {$colors['alter_bd_color']};
}

/* Slots in the single event */
.post_type_mp-event .timeslot {
	background-color: {$colors['alter_bg_color']};
	border-color: {$colors['alter_bd_color']};
	color: {$colors['alter_text']};
}
.post_type_mp-event .timeslot .timeslot-link {
	color: {$colors['alter_link']};
}
.post_type_mp-event .timeslot:hover {
	background-color: {$colors['alter_bg_hover']};
	border-color: {$colors['alter_bd_hover']};
	color: {$colors['alter_dark']};
}
.post_type_mp-event .timeslot:hover .timeslot-link,
.post_type_mp-event .timeslot:hover .timeslot-link:hover {
	color: {$colors['alter_hover']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tbody tr[class*="mptt-shortcode-row-"] td{
    color: {$colors['text']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tbody tr[class*="mptt-shortcode-row-"] td.mptt-shortcode-hours{
  color: {$colors['text_dark']};  
}
.mptt-shortcode-wrapper .mptt-shortcode-list .mptt-column .mptt-events-list .mptt-list-event{
    border-color: {$colors['text_hover']};
}
CSS;
		}

		return $css;
	}
}

