<?php
/* Search Field support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rumble_searchfilter_theme_setup9')) {
	add_action( 'after_setup_theme', 'rumble_searchfilter_theme_setup9', 9 );
	function rumble_searchfilter_theme_setup9() {
		if (rumble_exists_searchfilter()) {
            add_action( 'wp_enqueue_scripts', 'rumble_select2', 1100 );
		}
		if (is_admin()) {
			add_filter( 'rumble_filter_tgmpa_required_plugins',		'rumble_searchfilter_tgmpa_required_plugins' );
		}
	}
}

function rumble_select2(){
    $rumble_url = rumble_get_file_url( 'js/select2.min.js' );
    if ( '' != $rumble_url ) {
        wp_enqueue_script( 'rumble-select2', $rumble_url, array( 'jquery' ), null, true );
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'rumble_searchfilter_tgmpa_required_plugins' ) ) {
	
	function rumble_searchfilter_tgmpa_required_plugins($list=array()) {
		if (rumble_storage_isset('required_plugins', 'search-filter') && rumble_storage_get_array('required_plugins', 'search-filter', 'install') !== false &&
            rumble_is_theme_activated()){
			$list[] = array(
				'name' 		=> rumble_storage_get_array('required_plugins', 'search-filter', 'title'),
				'slug' 		=> 'search-filter',
				'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'rumble_exists_searchfilter' ) ) {
	function rumble_exists_searchfilter() {
		return class_exists('SearchAndFilter');
	}
}


?>