<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'rumble_tribe_events_get_css' ) ) {
	add_filter( 'rumble_filter_get_css', 'rumble_tribe_events_get_css', 10, 2 );
	function rumble_tribe_events_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
			
.tribe-events-list .tribe-events-list-event-title {
	{$fonts['h3_font-family']}
}
.tribe-events-page-title{
    {$fonts['h3_font-family']}
	{$fonts['h3_font-size']}
	{$fonts['h3_font-weight']}
	{$fonts['h3_font-style']}
	{$fonts['h3_line-height']}
	{$fonts['h3_text-decoration']}
	{$fonts['h3_text-transform']}
	{$fonts['h3_letter-spacing']}
}
.tribe-events-content ol,
.tribe-events-content p,
.tribe-events-content ul,
 tribe-events-single-section dl dd,
 tribe-events-single-section dl dt {
    {$fonts['p_font-family']}
	{$fonts['p_font-size']}
	{$fonts['p_font-weight']}
	{$fonts['p_font-style']}
	{$fonts['p_line-height']}
	{$fonts['p_text-decoration']}
	{$fonts['p_text-transform']}
	{$fonts['p_letter-spacing']}
}
.single-tribe_events .tribe-events-meta-group .tribe-events-single-section-title {
	{$fonts['h2_font-weight']}
	{$fonts['h2_text-transform']}
	{$fonts['h2_letter-spacing']}
}
.tribe-common .tribe-events-header__messages.tribe-common-b2,
.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input, 
.tribe-common .tribe-common-form-control-text__input,
.tribe-common.tribe-events-view--day  .tribe-events-calendar-day__event-content .tribe-common-b2,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-datetime,
.tribe-common .tooltipster-content .tribe-common-b3,
.tribe-common .tribe-common-h8,
.tribe-events .tribe-events-calendar-month__day-date-link,
.tribe-common .tribe-events-calendar-list .tribe-common-b2{
    {$fonts['p_font-family']}
}
.tribe-common.tribe-events-view--day  .tribe-events-c-nav li a,
.tribe-common .tribe-common-h6,
.tribe-common .tooltipster-content .tribe-common-h7,
.tribe-common .tribe-common-h5,
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
.tribe-common .tribe-common-b2,
.tribe-common .tribe-common-h7{
  {$fonts['h3_font-family']};
}

.tribe-common.tribe-events-view--day .tribe-events-c-nav li a,
.tribe-common .tribe-events-c-nav li button,
.tribe-common .tribe-events-c-nav li a,
.tribe-common .tribe-events-c-nav .tribe-events-c-nav__list li a span,
.tribe-events-calendar-month__header-column-title.tribe-common-b3, 
.tribe-common .tribe-common-b3, 
.tribe-events .tribe-events-c-ical__link, 
.tribe-common .tribe-common-c-btn-border, 
.tribe-common a.tribe-common-c-btn-border,
 body .tribe-events .tribe-events-c-top-bar__datepicker-button, 
 .tribe-common .tribe-common-c-btn,
 .tribe-events .tribe-events-c-view-selector__list-item-text,
#tribe-events .tribe-events-button,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-cal-links .tribe-events-gcal,
.tribe-events-cal-links .tribe-events-ical,
.tribe-events-cal-links .tribe-events-ics,
.tribe-events-sub-nav li a,
.tribe-common--breakpoint-medium.tribe-common .tribe-common-c-btn-border-small,
.tribe-common--breakpoint-medium.tribe-common a.tribe-common-c-btn-border-small {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}
#tribe-bar-form button, #tribe-bar-form a,
.tribe-events-read-more {
	{$fonts['button_font-family']}
	{$fonts['button_letter-spacing']}
}

.tribe-events-list .tribe-events-list-separator-month,
.tribe-events-calendar thead th,
.tribe-events-schedule, .tribe-events-schedule h2 {
	{$fonts['h5_font-family']}
}
#tribe-bar-form input, #tribe-events-content.tribe-events-month,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title,
#tribe-mobile-container .type-tribe_events,
.tribe-events-list-widget ol li .tribe-event-title,
#tribe-bar-form input[type="text"]{
	{$fonts['p_font-family']}
}
.tribe-events-loop .tribe-event-schedule-details,
.single-tribe_events #tribe-events-content .tribe-events-event-meta dt,
#tribe-mobile-container .type-tribe_events .tribe-event-date-start {
	{$fonts['info_font-family']};
}

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

#tribe-bar-form .tribe-bar-submit input[type="submit"],
#tribe-bar-form button,
#tribe-bar-form a,
#tribe-events .tribe-events-button,
#tribe-bar-views .tribe-bar-views-list,
.tribe-events-button,
.tribe-events-cal-links a,
#tribe-events-footer ~ a.tribe-events-ical.tribe-events-button,
.tribe-events-sub-nav li a {
	-webkit-border-radius: {$vars['rad']};
	    -ms-border-radius: {$vars['rad']};
			border-radius: {$vars['rad']};
}

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

/* Filters bar */
.single-tribe_events .tribe-events-meta-group .tribe-events-single-section-title,
.single-tribe_events #tribe-events-content .tribe-events-event-meta dt {
    color: {$colors['text_dark']};
}
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-next a,
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a {
    color: {$colors['inverse_text']};
    background-color: {$colors['text_hover']};
}
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-next a:hover,
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a:hover {
    color: {$colors['inverse_link']};
    background-color: {$colors['alter_dark']};
}
#tribe-bar-form {
	color: {$colors['text_dark']};
}
#tribe-bar-form input[type="text"] {
	color: {$colors['text_dark']};
	background: {$colors['input_bg_color']};
}

.datepicker thead tr:first-child th:hover, .datepicker tfoot tr th:hover {
	color: {$colors['text_link']};
	background: {$colors['text_dark']};
}

/* Content */
.tribe-common.tribe-events .tribe-events-c-events-bar__search-container {
	background: {$colors['bg_color']};
}
.tribe-common .tribe-common-c-svgicon{
	color: {$colors['text_hover']};
}
/**/
.tribe-common .tribe-events-c-nav__list .tribe-common-c-svgicon path{
	fill: {$colors['inverse_text']};
}
.tribe-common .tribe-events-c-nav__list a:hover .tribe-common-c-svgicon path{
	fill: {$colors['inverse_text']};
}
/**/
.tribe-events-calendar thead th {
	color: {$colors['text_dark']};
	background: {$colors['alter_bg_color']} !important;
}
#tribe-events-content table.tribe-events-calendar{
    border-color: {$colors['bd_color']}
}

.tribe-events-calendar thead th + th:before {
	background: {$colors['extra_dark']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar th {
	border-color: {$colors['extra_bg_hover']} !important;
	background: {$colors['bg_color']};
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"]{
    border-color: {$colors['extra_bg_hover']} !important;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"],
.tribe-events-calendar td div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text']};
}
.tribe-events-calendar td.tribe-events-othermonth {
	color: {$colors['alter_light']};
	background: {$colors['bg_color']} !important;
}
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] > a {
	color: {$colors['alter_light']};
}
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"], .tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_light']};
}
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_link']};
}
.tribe-events-calendar td.tribe-events-present:before {
	border-color: {$colors['text_hover']};
}
.tribe-events-calendar .tribe-events-has-events:after {
	background-color: {$colors['text']};
}
.tribe-events-calendar .mobile-active.tribe-events-has-events:after {
	background-color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a {
	color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a:hover {
	color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active,
#tribe-events-content .tribe-events-calendar td.mobile-active:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active div[id*="tribe-events-daynum-"] {
	color: {$colors['bg_color']};
	background-color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"] a,
.tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"] a {
	background-color: transparent;
	color: {$colors['bg_color']};
}
.events-archive.events-gridview #tribe-events-content table .type-tribe_events {
	border-color: {$colors['extra_bg_hover']};
}

/* Tooltip */
.tooltipster-base.tribe-events-tooltip-theme,
.recurring-info-tooltip,
.tribe-events-calendar .tribe-events-tooltip,
.tribe-events-week .tribe-events-tooltip,
.tribe-events-shortcode.view-week .tribe-events-tooltip,
.tribe-events-tooltip .tribe-events-arrow {
	color: {$colors['alter_text']};
	background: {$colors['alter_bg_color']};
	border-color: {$colors['alter_bd_color']};
}

.tribe-common--breakpoint-medium.tribe-common .tribe-common-c-btn-border-small,
.tribe-common--breakpoint-medium.tribe-common a.tribe-common-c-btn-border-small {
    color: {$colors['inverse_text']};
	background: {$colors['text_link']};
}
.tribe-common--breakpoint-medium.tribe-common .tribe-common-c-btn-border-small:hover,
.tribe-common--breakpoint-medium.tribe-common a.tribe-common-c-btn-border-small:hover {
    background: {$colors['text_hover']};
}

.tribe-common .tribe-common-c-btn-border, 
.tribe-common a.tribe-common-c-btn-border,
.tribe-common .tribe-common-c-btn-border:focus, 
.tribe-common .tribe-common-c-btn-border:hover, 
.tribe-common a.tribe-common-c-btn-border:focus, 
.tribe-common a.tribe-common-c-btn-border:hover,
.tribe-events .tribe-events-c-events-bar__search-filters-container,
.tribe-events .tribe-events-c-view-selector__content,
.tribe-events.tribe-common--breakpoint-medium .datepicker,
.tribe-common .tribe-events-header__events-bar input.tribe-events-c-search__input:focus,
.tribe-common .tribe-events-header__events-bar input.tribe-events-c-search__input,
.tribe-events .datepicker{
    background: {$colors['alter_bg_color']};
}
.tribe-common .tribe-common-c-btn-border {
    background: transparent;
    border-color: {$colors['text_dark']};
}
.tribe-common .tribe-common-c-btn-border button,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button.tribe-events-c-subscribe-dropdown__button--active,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus-within,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:hover {
    color: {$colors['text_dark']};
    background: transparent;	
}
#tribe-events-content .tribe-events-tooltip .summary { 
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']};
}
.tribe-events-tooltip .tribe-event-duration {
	color: {$colors['extra_text']};
}

.tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__day-date,
.tribe-common .tribe-events-c-top-bar button.tribe-common-h3,
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link{
    color: {$colors['text_hover']};
}
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date,
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link {
    color: {$colors['text_hover']};
}
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link:hover{
    color: {$colors['alter_dark']};
}
.tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__mobile-events-icon--event {
	background-color: {$colors['text_hover']};
}
.tribe-events .tribe-events-calendar-month__multiday-event-bar-inner{
    background-color: {$colors['alter_bg_color']};
}

.tribe-events .datepicker .year.active,
.tribe-events .datepicker .day.active,
.tribe-events .datepicker .month.active,
.tribe-events .datepicker .day:hover,
.tribe-events .datepicker .month:hover,
.datepicker table tr td span:hover,
.tribe-events .datepicker .month.focused,
.mobile_device .tribe-events .tribe-events-c-view-selector__list-item--active .tribe-events-c-view-selector__list-item-link{
    color: {$colors['inverse_text']};
	background-color: {$colors['text_hover']}!important;
}
.mobile_device .tribe-events .tribe-events-c-view-selector__list-item--active .tribe-events-c-view-selector__list-item-link .tribe-events-c-view-selector__list-item-text{
  color: {$colors['inverse_text']};
}
.mobile_device .tribe-events .tribe-events-c-view-selector__list-item--active .tribe-events-c-view-selector__list-item-link svg path{
    fill: {$colors['inverse_text']};
}
.tribe-events .tribe-events-c-events-bar__search-button:before,
.tribe-events .tribe-events-c-view-selector__button:before{
    background-color: {$colors['text_hover']};
}
.tribe-events .tribe-events-calendar-month__mobile-events-icon--event{
    background-color: {$colors['alter_dark']};
}


/* Events list */
.tribe-events-list-separator-month {
	color: {$colors['text_dark']};
}
.tribe-events-list-separator-month:after {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .type-tribe_events + .type-tribe_events,
.tribe-events-day .tribe-events-day-time-slot + .tribe-events-day-time-slot + .tribe-events-day-time-slot {
	border-color: {$colors['bd_color']};
}
.tribe-events-list-separator-month span {
	background-color: {$colors['bg_color']};	
}
.tribe-events-list .tribe-events-event-cost span {
	color: {$colors['extra_dark']};
	border-color: {$colors['extra_bg_color']};
	background: {$colors['extra_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_color']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a {
	color: {$colors['alter_link']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a:hover {
	color: {$colors['alter_hover']};
}
.tribe-mobile .tribe-events-list .tribe-events-venue-details {
	border-color: {$colors['alter_bd_color']};
}

.single-tribe_events #tribe-events-footer,
.tribe-events-day #tribe-events-footer,
.events-list #tribe-events-footer,
.tribe-events-map #tribe-events-footer,
.tribe-events-photo #tribe-events-footer {
	border-color: {$colors['bd_color']};	
}

/* Events day */
.tribe-events-day .tribe-events-day-time-slot h5,
.tribe-events-day .tribe-events-day-time-slot .tribe-events-day-time-slot-heading {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']};
}

.datepicker table tr td span.active.active,
.datepicker table tr td span.active.disabled.active,
.datepicker table tr td span.active.disabled:active,
.datepicker table tr td span.active.disabled:hover.active,
.datepicker table tr td span.active.disabled:hover:active,
.datepicker table tr td span.active:active{
    background: {$colors['extra_bg_color']}!important;
    color: {$colors['text_hover']};
}
.tribe-events .datepicker .month.focused:hover,
.datepicker table tr td span.active:hover.active,
.datepicker table tr td span.active:hover:active,
.tribe-events .datepicker .day.active:hover{
    background: {$colors['extra_bg_color']}!important;
   
}
.datepicker .datepicker-switch:hover, .datepicker .next:hover, .datepicker .prev:hover, .datepicker tfoot tr th:hover{
     background: {$colors['text_hover']};
}
/* Single Event */
.single-tribe_events .tribe-events-venue-map {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_hover']};
	background: {$colors['bg_color']};
}
.single-tribe_events .tribe-events-schedule .tribe-events-cost {
	color: {$colors['text_dark']};
}
.single-tribe_events .type-tribe_events {
	border-color: {$colors['bd_color']};
}
.tribe-bar-search-filter:after{
    color: {$colors['text']};
}
#tribe-bar-collapse-toggle:focus, #tribe-bar-collapse-toggle:hover{
  background: {$colors['bd_color']};  
   color: {$colors['text_dark']};
}
.tribe-common.tribe-events-view--day .tribe-events-calendar-day__event-description,
.tribe-common .tooltipster-content .tribe-common-b3,
.tribe-common .tribe-events-calendar-list .tribe-events-calendar-list__event-description,
.tribe-common .tribe-common-b2 {
    color: {$colors['text']};
}
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
.tribe-common .tribe-events-calendar-list__event-date-tag .tribe-events-calendar-list__event-date-tag-daynum,
.tribe-events .tribe-events-c-view-selector__list-item-text {
    color: {$colors['text_dark']};	
}
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-view-selector--tabs .tribe-events-c-view-selector__list-item--active .tribe-events-c-view-selector__list-item-link:after {
    background-color: {$colors['text_dark']};		
}
.tribe-events .tribe-events-c-view-selector__list-item-link:hover .tribe-events-c-view-selector__list-item-text {
    color: {$colors['text_dark_07']};		
}
.tribe-events .datepicker th, .tribe-events .datepicker th a {
	color: {$colors['text_dark']};	
}
.tribe-common .tooltipster-content .tribe-common-h7 > a{
    color: {$colors['text_dark']};
}
.tribe-events .datepicker .next .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev .tribe-events-c-top-bar__datepicker-nav-icon-svg path {
	fill: {$colors['text_dark']};
}
.tribe-events .datepicker .next:hover .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev:hover .tribe-events-c-top-bar__datepicker-nav-icon-svg path {
	fill: {$colors['text_dark_07']};
}
.tribe-events .datepicker .datepicker-switch:hover {
	color: {$colors['text_dark_07']};	
}
.tribe-events .datepicker .day,
.tribe-events .datepicker .month,
.tribe-events .datepicker .year {
	color: {$colors['text_dark']};
}
h3.tribe-events-calendar-month__multiday-event-bar-title {
	color: {$colors['text_dark']}!important;
}
.tribe-events .datepicker .past {
	color: {$colors['text_dark_07']};		
}
.tribe-common .tribe-events-calendar-day__event-details .tribe-common-b2,
.tribe-common .tribe-common-anchor-thin,
.tribe-common .tribe-common-h7,
.tribe-common .tribe-common-b2,
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
.tribe-common .tribe-common-h4,
.tribe-common .tribe-common-h4 a,
.tribe-events .tribe-events-calendar-month__header-column-title {
	color: {$colors['text_dark']};
}
.tribe-common .tooltipster-content .tribe-common-h7 > a:hover{
    color: {$colors['text_hover2']};
}
.tribe-common .tribe-events-c-top-bar__nav li > button,
.tribe-common .tribe-events-c-top-bar__nav li > a{
     background: {$colors['alter_bg_color']}!important;  
}
.tribe-common .tribe-events-calendar-month__calendar-event-tooltip-datetime,
.tribe-common.tribe-events-view--day .tribe-events-calendar-day__event-content .tribe-common-b2 .tribe-events-calendar-day__event-datetime,
.tribe-common .tribe-events-calendar-list .tribe-common-b2 .tribe-events-calendar-list__event-datetime,
/*.tribe-common .tribe-common-anchor-thin:hover,*/
 
.tribe-common .tribe-events-calendar-list .tribe-common-b2 .tribe-events-calendar-list__event-datetime-featured-icon,
.tribe-common .tribe-events-calendar-list .tribe-common-b2 .tribe-events-calendar-list__event-datetime-featured-text.tribe-common-a11y-visual-hide,
.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-day__event-datetime-featured-text,
.tribe-events .tribe-events-calendar-month-mobile-events__mobile-event-datetime-featured-text {
     color: {$colors['text_hover']};
}

.tribe-events .tribe-events-calendar-list__event-row--featured .tribe-events-calendar-list__event-date-tag-datetime:after,
.tribe-events .tribe-events-calendar-day__event--featured:after,
.tribe-events .tribe-events-calendar-month__calendar-event--featured:before {
     background-color: {$colors['text_hover']};
}

.tribe-events .tribe-events-calendar-month__day-cell--selected,
.tribe-events .tribe-events-calendar-month__day-cell--selected:focus,
.tribe-events .tribe-events-calendar-month__day-cell--selected:hover {
  color: {$colors['inverse_text']};
  background-color: {$colors['text_hover']} !important;
}

.scheme_default .tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__day-date,
.scheme_default .tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__day-date-link,
.scheme_default .tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__day-date-daynum {
    color: {$colors['inverse_text']};
}



CSS;
		}

		return $css;
	}
}

