<?php
/* TRX Socials support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rumble_trx_socials_theme_setup9')) {
	add_action( 'after_setup_theme', 'rumble_trx_socials_theme_setup9', 9 );
	function rumble_trx_socials_theme_setup9() {
		
		if (is_admin()) {
			add_filter( 'rumble_filter_tgmpa_required_plugins',	'rumble_trx_socials_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'rumble_trx_socials_tgmpa_required_plugins' ) ) {

    function rumble_trx_socials_tgmpa_required_plugins($list=array()) {
        if ( rumble_storage_isset( 'required_plugins', 'trx_socials' ) && rumble_storage_get_array( 'required_plugins', 'trx_socials', 'install' ) !== false && rumble_is_theme_activated() ) {
            $path = rumble_get_plugin_source_path('plugins/trx_socials/trx_socials.zip');
            $list[] = array(
                'name'     => rumble_storage_get_array( 'required_plugins', 'trx_socials', 'title' ),
                'slug' 		=> 'trx_socials',
                'source'	=> !empty($path) ? $path : 'upload://trx_socials.zip',
                'version'   => '1.4.4',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if TRX Socials installed and activated
if ( !function_exists( 'rumble_exists_trx_socials' ) ) {
	function rumble_exists_trx_socials() {
        return function_exists( 'trx_socials_load_plugin_textdomain' );
	}
}
?>