<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */

if ( rumble_sidebar_present() ) {
	ob_start();
	$rumble_sidebar_name = rumble_get_theme_option( 'sidebar_widgets' );
	rumble_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $rumble_sidebar_name ) ) {
		dynamic_sidebar( $rumble_sidebar_name );
	}
	$rumble_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $rumble_out ) ) {
		$rumble_sidebar_position    = rumble_get_theme_option( 'sidebar_position' );
		$rumble_sidebar_position_ss = rumble_get_theme_option( 'sidebar_position_ss' );
		?>
		<div class="sidebar widget_area
			<?php
			echo ' ' . esc_attr( $rumble_sidebar_position );
			echo ' sidebar_' . esc_attr( $rumble_sidebar_position_ss );

			if ( 'float' == $rumble_sidebar_position_ss ) {
				echo ' sidebar_float';
			}
			if ( ! rumble_is_inherit( rumble_get_theme_option( 'sidebar_scheme' ) ) ) {
				echo ' scheme_' . esc_attr( rumble_get_theme_option( 'sidebar_scheme' ) );
			}
			?>
		" role="complementary">
			<?php
			// Single posts banner before sidebar
			rumble_show_post_banner( 'sidebar' );
			// Button to show/hide sidebar on mobile
			if ( in_array( $rumble_sidebar_position_ss, array( 'above', 'float' ) ) ) {
				$rumble_title = apply_filters( 'rumble_filter_sidebar_control_title', 'float' == $rumble_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'rumble' ) : '' );
				$rumble_text  = apply_filters( 'rumble_filter_sidebar_control_text', 'above' == $rumble_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'rumble' ) : '' );
				?>
				<a href="#" class="sidebar_control" title="<?php echo esc_attr( $rumble_title ); ?>"><?php echo esc_html( $rumble_text ); ?></a>
				<?php
			}
			?>
			<div class="sidebar_inner">
				<?php
				do_action( 'rumble_action_before_sidebar' );
				rumble_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $rumble_out ) );
				do_action( 'rumble_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
