<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.1
 */

$rumble_theme_obj = wp_get_theme();
?>
<div class="rumble_admin_notice rumble_welcome_notice update-nag">
	<?php
	// Theme image
	$rumble_theme_img = rumble_get_file_url( 'screenshot.jpg' );
	if ( '' != $rumble_theme_img ) {
		?>
		<div class="rumble_notice_image"><img src="<?php echo esc_url( $rumble_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'rumble' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="rumble_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				esc_html__( 'Welcome to %1$s v.%2$s', 'rumble' ),
				$rumble_theme_obj->name . ( RUMBLE_THEME_FREE ? ' ' . esc_html__( 'Free', 'rumble' ) : '' ),
				$rumble_theme_obj->version
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="rumble_notice_text">
		<p class="rumble_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $rumble_theme_obj->description ) );
			?>
		</p>
		<p class="rumble_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'rumble' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="rumble_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=rumble_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'rumble' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" class="rumble_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="rumble_hide_notice_text"><?php esc_html_e( 'Dismiss', 'rumble' ); ?></span></a>
	</div>
</div>
