<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.1
 */

$rumble_theme_obj = wp_get_theme();

?>
<div class="rumble_admin_notice rumble_rate_notice update-nag">
	<?php
	// Theme image
	$rumble_theme_img = rumble_get_file_url( 'screenshot.jpg' );
	if ( '' != $rumble_theme_img ) {
		?>
		<div class="rumble_notice_image"><img src="<?php echo esc_url( $rumble_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'rumble' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="rumble_notice_title"><a href="<?php echo esc_url( rumble_storage_get( 'theme_rate_url' ) ); ?>" target="_blank">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
                esc_html__( 'Rate our theme "%s", please', 'rumble' ),
				$rumble_theme_obj->name . ( RUMBLE_THEME_FREE ? ' ' . esc_html__( 'Free', 'rumble' ) : '' )
			)
		);
		?>
	</a></h3>
	<?php

	// Description
	?>
	<div class="rumble_notice_text">
		<p><?php echo wp_kses_data( __( 'We are glad you chose our WP theme for your website. You’ve done well customizing your website and we hope that you’ve enjoyed working with our theme.', 'rumble' ) ); ?></p>
		<p><?php echo wp_kses_data( __( 'It would be just awesome if you spend just a minute of your time to rate our theme or the customer service you’ve received from us.', 'rumble' ) ); ?></p>
		<p class="rumble_notice_text_info"><?php echo wp_kses_data( __( '* We love receiving 5-star ratings, because our CEO Henry Rise gives $5 to homeless dog shelter for every 5-star rating we get! Save the planet with us!', 'rumble' ) ); ?></p>
	</div>
	<?php

	// Buttons
	?>
	<div class="rumble_notice_buttons">
		<?php
		// Link to the theme download page
		?>
		<a href="<?php echo esc_url( rumble_storage_get( 'theme_rate_url' ) ); ?>" class="button button-primary" target="_blank"><i class="dashicons dashicons-star-filled"></i> 
			<?php
			// Translators: Add theme name
			echo esc_html( sprintf( esc_html__( 'Rate theme %s', 'rumble' ), $rumble_theme_obj->name ) );
			?>
		</a>
		<?php
		// Link to the theme support
		?>
		<a href="<?php echo esc_url( rumble_storage_get( 'theme_support_url' ) ); ?>" class="button" target="_blank"><i class="dashicons dashicons-sos"></i> 
			<?php
			esc_html_e( 'Support', 'rumble' );
			?>
		</a>
		<?php
		// Link to the theme documentation
		?>
		<a href="<?php echo esc_url( rumble_storage_get( 'theme_doc_url' ) ); ?>" class="button" target="_blank"><i class="dashicons dashicons-book"></i> 
			<?php
			esc_html_e( 'Documentation', 'rumble' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" class="rumble_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="rumble_hide_notice_text"><?php esc_html_e( 'Dismiss', 'rumble' ); ?></span></a>
	</div>
</div>
