<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.10
 */

$rumble_footer_id = rumble_get_custom_footer_id();
$rumble_footer_meta = get_post_meta( $rumble_footer_id, 'trx_addons_options', true );
if ( ! empty( $rumble_footer_meta['margin'] ) ) {
	rumble_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( rumble_prepare_css_value( $rumble_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $rumble_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $rumble_footer_id ) ) ); ?>
						<?php
						if ( ! rumble_is_inherit( rumble_get_theme_option( 'footer_scheme' ) ) ) {
							echo ' scheme_' . esc_attr( rumble_get_theme_option( 'footer_scheme' ) );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'rumble_action_show_layout', $rumble_footer_id );
	?>
</footer><!-- /.footer_wrap -->
