<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.10
 */

// Footer sidebar
$rumble_footer_name    = rumble_get_theme_option( 'footer_widgets' );
$rumble_footer_present = ! rumble_is_off( $rumble_footer_name ) && is_active_sidebar( $rumble_footer_name );
if ( $rumble_footer_present ) {
	rumble_storage_set( 'current_sidebar', 'footer' );
	$rumble_footer_wide = rumble_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $rumble_footer_name ) ) {
		dynamic_sidebar( $rumble_footer_name );
	}
	$rumble_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $rumble_out ) ) {
		$rumble_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $rumble_out );
		$rumble_need_columns = true;   //or check: strpos($rumble_out, 'columns_wrap')===false;
		if ( $rumble_need_columns ) {
			$rumble_columns = max( 0, (int) rumble_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $rumble_columns ) {
				$rumble_columns = min( 4, max( 1, rumble_tags_count( $rumble_out, 'aside' ) ) );
			}
			if ( $rumble_columns > 1 ) {
				$rumble_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $rumble_columns ) . ' widget', $rumble_out );
			} else {
				$rumble_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $rumble_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $rumble_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $rumble_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'rumble_action_before_sidebar' );
				rumble_show_layout( $rumble_out );
				do_action( 'rumble_action_after_sidebar' );
				if ( $rumble_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $rumble_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
