<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.06
 */

$rumble_header_css   = '';
$rumble_header_image = get_header_image();
$rumble_header_video = rumble_get_header_video();
if ( ! empty( $rumble_header_image ) && rumble_trx_addons_featured_image_override( is_singular() || rumble_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$rumble_header_image = rumble_get_current_mode_image( $rumble_header_image );
}

$rumble_header_id = rumble_get_custom_header_id();
$rumble_header_meta = get_post_meta( $rumble_header_id, 'trx_addons_options', true );
if ( ! empty( $rumble_header_meta['margin'] ) ) {
	rumble_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( rumble_prepare_css_value( $rumble_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $rumble_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $rumble_header_id ) ) ); ?>
				<?php
				echo ! empty( $rumble_header_image ) || ! empty( $rumble_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $rumble_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $rumble_header_image ) {
					echo ' ' . esc_attr( rumble_add_inline_css_class( 'background-image: url(' . esc_url( $rumble_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( rumble_is_on( rumble_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight rumble-full-height';
				}
				if ( ! rumble_is_inherit( rumble_get_theme_option( 'header_scheme' ) ) ) {
					echo ' scheme_' . esc_attr( rumble_get_theme_option( 'header_scheme' ) );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $rumble_header_video ) ) {
		get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'rumble_action_show_layout', $rumble_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
