<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */

$rumble_header_css   = '';
$rumble_header_image = get_header_image();
$rumble_header_video = rumble_get_header_video();
if ( ! empty( $rumble_header_image ) && rumble_trx_addons_featured_image_override( is_singular() || rumble_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$rumble_header_image = rumble_get_current_mode_image( $rumble_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $rumble_header_image ) || ! empty( $rumble_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $rumble_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $rumble_header_image ) {
		echo ' ' . esc_attr( rumble_add_inline_css_class( 'background-image: url(' . esc_url( $rumble_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( rumble_is_on( rumble_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight rumble-full-height';
	}
	if ( ! rumble_is_inherit( rumble_get_theme_option( 'header_scheme' ) ) ) {
		echo ' scheme_' . esc_attr( rumble_get_theme_option( 'header_scheme' ) );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $rumble_header_video ) ) {
		get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	if ( rumble_get_theme_option( 'menu_style' ) == 'top' ) {
		get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-navi' ) );
	}

	// Mobile header
	if ( rumble_is_on( rumble_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-mobile' ) );
	}

	if ( !is_single() || ( rumble_get_theme_option( 'post_header_position' ) == 'under' && rumble_get_theme_option( 'post_thumbnail_type' ) == 'default' ) ) {
		// Page title and breadcrumbs area
		get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-title' ) );

		// Display featured image in the header on the single posts
		// Comment next line to prevent show featured image in the header area
		// and display it in the post's content
		get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-single' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'rumble_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
