<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */

$rumble_args = get_query_var( 'rumble_logo_args' );

// Site logo
$rumble_logo_type   = isset( $rumble_args['type'] ) ? $rumble_args['type'] : '';
$rumble_logo_image  = rumble_get_logo_image( $rumble_logo_type );
$rumble_logo_text   = rumble_is_on( rumble_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$rumble_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $rumble_logo_image['logo'] ) || ! empty( $rumble_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $rumble_logo_image['logo'] ) ) {
			//if ( empty( $rumble_logo_type ) && function_exists( 'the_custom_logo' ) && (int) $rumble_logo_image['logo'] > 0 ) {
			if ( empty( $rumble_logo_type ) && function_exists( 'the_custom_logo' ) && (is_numeric( $rumble_logo_image['logo'] ) && $rumble_logo_image['logo'] > 0) ) {
				the_custom_logo();
			} else {
				$rumble_attr = rumble_getimagesize( $rumble_logo_image['logo'] );
				echo '<img src="' . esc_url( $rumble_logo_image['logo'] ) . '"'
						. ( ! empty( $rumble_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $rumble_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $rumble_logo_text ) . '"'
						. ( ! empty( $rumble_attr[3] ) ? ' ' . wp_kses_data( $rumble_attr[3] ) : '' )
						. '>';
			}
		} else {
			rumble_show_layout( rumble_prepare_macros( $rumble_logo_text ), '<span class="logo_text">', '</span>' );
			rumble_show_layout( rumble_prepare_macros( $rumble_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
