<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */

// Page (category, tag, archive, author) title

if ( rumble_need_page_title() ) {
	rumble_sc_layouts_showed( 'title', true );
	rumble_sc_layouts_showed( 'postmeta', false );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
                        if ( false && is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								rumble_show_post_meta(
									apply_filters(
										'rumble_filter_post_meta_args', array(
											'components' => rumble_array_get_keys_by_value( rumble_get_theme_option( 'meta_parts' ) ),
											'counters'   => rumble_array_get_keys_by_value( rumble_get_theme_option( 'counters' ) ),
											'seo'        => rumble_is_on( rumble_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$rumble_blog_title           = rumble_get_blog_title();
							$rumble_blog_title_text      = '';
							$rumble_blog_title_class     = '';
							$rumble_blog_title_link      = '';
							$rumble_blog_title_link_text = '';
							if ( is_array( $rumble_blog_title ) ) {
								$rumble_blog_title_text      = $rumble_blog_title['text'];
								$rumble_blog_title_class     = ! empty( $rumble_blog_title['class'] ) ? ' ' . $rumble_blog_title['class'] : '';
								$rumble_blog_title_link      = ! empty( $rumble_blog_title['link'] ) ? $rumble_blog_title['link'] : '';
								$rumble_blog_title_link_text = ! empty( $rumble_blog_title['link_text'] ) ? $rumble_blog_title['link_text'] : '';
							} else {
								$rumble_blog_title_text = $rumble_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $rumble_blog_title_class ); ?>">
								<?php
								$rumble_top_icon = rumble_get_term_image_small();
								if ( ! empty( $rumble_top_icon ) ) {
									$rumble_attr = rumble_getimagesize( $rumble_top_icon );
									?>
									<img src="<?php echo esc_url( $rumble_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'rumble' ); ?>"
										<?php
										if ( ! empty( $rumble_attr[3] ) ) {
											rumble_show_layout( $rumble_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses_post( $rumble_blog_title_text );
								?>
							</h1>
							<?php
							if ( ! empty( $rumble_blog_title_link ) && ! empty( $rumble_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $rumble_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $rumble_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php
                        if ( rumble_exists_trx_addons() ) { // Breadcrumbs ?>
                            <div class="sc_layouts_title_breadcrumbs">
                                <?php
                                do_action( 'rumble_action_breadcrumbs' );
                                ?>
                            </div>
                            <?php
                        }

						?>

					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
