<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */

// Header sidebar
$rumble_header_name    = rumble_get_theme_option( 'header_widgets' );
$rumble_header_present = ! rumble_is_off( $rumble_header_name ) && is_active_sidebar( $rumble_header_name );
if ( $rumble_header_present ) {
	rumble_storage_set( 'current_sidebar', 'header' );
	$rumble_header_wide = rumble_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $rumble_header_name ) ) {
		dynamic_sidebar( $rumble_header_name );
	}
	$rumble_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $rumble_widgets_output ) ) {
		$rumble_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $rumble_widgets_output );
		$rumble_need_columns   = strpos( $rumble_widgets_output, 'columns_wrap' ) === false;
		if ( $rumble_need_columns ) {
			$rumble_columns = max( 0, (int) rumble_get_theme_option( 'header_columns' ) );
			if ( 0 == $rumble_columns ) {
				$rumble_columns = min( 6, max( 1, rumble_tags_count( $rumble_widgets_output, 'aside' ) ) );
			}
			if ( $rumble_columns > 1 ) {
				$rumble_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $rumble_columns ) . ' widget', $rumble_widgets_output );
			} else {
				$rumble_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $rumble_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $rumble_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $rumble_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'rumble_action_before_sidebar' );
				rumble_show_layout( $rumble_widgets_output );
				do_action( 'rumble_action_after_sidebar' );
				if ( $rumble_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $rumble_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
