<?php
/**
 * The template 'Style 5' to displaying related posts
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.54
 */

$rumble_link        = get_permalink();
$rumble_post_format = get_post_format();
$my_excerpt = get_the_excerpt();
$rumble_post_format = empty( $rumble_post_format ) ? 'standard' : str_replace( 'post-format-', '', $rumble_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $rumble_post_format ) ); ?>>
	<?php
	rumble_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'rumble_filter_related_thumb_size', rumble_get_thumb_size( (int) rumble_get_theme_option( 'related_posts' ) == 1 ? 'big' : 'med' ) ),
			'show_no_image' => rumble_get_no_image() != '',
            'post_info'     => '<div class="post_meta">'
                                . '<div class="post_categories">' . wp_kses( rumble_get_post_categories( '' ), 'rumble_kses_content' ) . '</div>'
                                . '</div>',
		)
	);
	?>
	<div class="post_header entry-header">
        <?php
        if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
            ?>
            <div class="post_meta">
                <a href="<?php echo esc_url( $rumble_link ); ?>" class="post_meta_item post_date"><?php echo wp_kses_data( rumble_get_date() ); ?></a>
            </div>
            <?php
        }
        ?>
		<h5 class="post_title entry-title"><a href="<?php echo esc_url( $rumble_link ); ?>"><?php the_title(); ?></a></h5>
        <div class="related_content">

                <?php
                if ( 'quote' == $rumble_post_format ) {
                    $quote = rumble_get_tag( rumble_filter_post_content( get_the_content() ), '<blockquote', '</blockquote>' );
                    if ( ! empty( $quote ) ) {
                        rumble_show_layout( wpautop( $quote ) );
                        $plain = false;
                    } else {
                        rumble_show_layout( rumble_filter_post_content( get_the_content() ) );
                    }
                }elseif('' != $my_excerpt ){
                    $my_excerpt = substr($my_excerpt , 0, 120) . '...';
                    rumble_show_layout($my_excerpt);
                }
                ?>
        </div>
	</div>
</div>
