<?php
/**
 * The style "default" of the shortcode Matches (section "Main matches")
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6.17
 */

$match = get_query_var('trx_addons_args_sc_matches_item');

$meta = $match['meta'];
$player1_meta = get_post_meta($meta['player1'], 'trx_addons_options', true);
$player2_meta = get_post_meta($meta['player2'], 'trx_addons_options', true);


// Competition type == 'pair'
if (!empty($meta['player1']) && !empty($meta['player2'])) {

	$is_match_page = is_single() && get_the_ID() == $match['id'];
	
	global $post;

	?>
    <div class="sc_matches_item_header">

        <div class="sc_matches_item_player_1">
            <h4 class="sc_matches_item_player_name"><?php rumble_show_layout($player1_meta['name']); ?></h4>
        </div>
        <div class="sc_matches_item_divider">
            <span class="sc_matches_item_score_value"><?php
                if (empty($meta['score'])){
                    echo esc_html__('VS', 'rumble');
                }else { ?>
                    <span class="winners"> <?php rumble_show_layout($meta['score']); ?></span>
                    <?php
                }
            ?></span>
        </div>
        <div class="sc_matches_item_player_2">
            <h4 class="sc_matches_item_player_name"><?php rumble_show_layout($player2_meta['name']);  ?></h4>
        </div>

    </div>

    <div class="sc_matches_item sc_matches_item_pair">


    <?php
		// Player 1
		?><div class="sc_matches_item_player sc_matches_item_player1"><?php
            $post = get_post($meta['player1']);
            setup_postdata($post);
			// Player's logo
			if (has_post_thumbnail()) {
				trx_addons_get_template_part('templates/tpl.featured.php',
											'trx_addons_args_featured',
											apply_filters('trx_addons_filter_args_featured', array(
														'class' => 'sc_matches_item_thumb',
														'hover' => '',
														'thumb_size' => apply_filters('trx_addons_filter_thumb_size', trx_addons_get_thumb_size('match'), 'sport-player')
														), 'sport-player')
											);
			}
			?>
            <div class="sc_matches_item_meta">
            <?php
                // Global ID
                if (!empty($player1_meta['global_ID'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_ID">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Global ID', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player1_meta['global_ID']));
                        ?></span>
                    </div><?php
                }

                // Status
                if (!empty($player1_meta['status'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_status">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Status', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player1_meta['status']));
                        ?></span>
                    </div><?php
                }

                // Name
                if (!empty($player1_meta['name'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_status">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Real Name', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player1_meta['name']));
                        ?></span>
                    </div><?php
                }

                // Alias
                if (!empty($player1_meta['alias'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_alias">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Alias', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player1_meta['alias']));
                        ?></span>
                    </div><?php
                }

                // Birthday
                if (!empty($player1_meta['born'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_date">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Born', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo date_i18n(get_option('date_format'), strtotime($player1_meta['born']));
                        ?></span>
                    </div><?php
                }

                // Age
                if (!empty($player1_meta['born'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_age">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Age', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        $cur_date = date("F j y");
                        $current_date = date_i18n(get_option('date_format'), strtotime($cur_date));
                        $d1 = strtotime($player1_meta['born']);
                        $d2 = strtotime( $current_date);
                        $diff = abs($d2 - $d1);
                        $diff = $diff/(60*60*24*365);
                        $years = floor($diff);
                        echo nl2br(esc_html($years)); esc_html_e(' Years', 'rumble');
                        ?>
                                        </span>
                    </div>
                    <?php
                }

                // Height
                if (!empty($player1_meta['height'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_height">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Height', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player1_meta['height']));
                        ?></span>
                    </div><?php
                }

                // Division
                if (!empty($player1_meta['division'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_division">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Division', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player1_meta['division']));
                        ?></span>
                    </div><?php
                }

                if (!empty($player1_meta['nationality']) || !empty($player1_meta['nationality_flag']) ) {
                    ?><div class="sport_page_meta_item sport_page_meta_nationality">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Nationality', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value">
                                        <?php
                                        $flag = isset($player1_meta['nationality_flag']) ? $player1_meta['nationality_flag'] : '';
                                        ?>
                        <img class="sport_page_meta_nationality_flag" src="<?php rumble_show_layout($flag)?>"> </img>
                        <?php

                        echo nl2br(esc_html($player1_meta['nationality'])); ?></span>
                    </div><?php
                }
                if (!empty($player1_meta['residence']) || !empty($player1_meta['residence_flag']) ) {
                    ?><div class="sport_page_meta_item sport_page_meta_residence">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Residence', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value">
                                        <?php
                                        $flag = isset($player1_meta['residence_flag']) ? $player1_meta['residence_flag'] : '';
                                        ?>
                        <img class="sport_page_meta_residence_flag" src="<?php rumble_show_layout($flag)?>"> </img>
                        <?php
                        echo nl2br(esc_html($player1_meta['residence'])); ?></span>
                    </div><?php
                }

                    ?>
                    <div class="sport_page_meta_item sport_page_meta_boxer_record">
                        <span class="sport_page_meta_item_label"><?php esc_html_e('Record', 'rumble'); ?></span>
                        <span class="sport_page_meta_item_value">
                                <span class="recorde-w" style="color:#008000"><b> <?php
                                        if(!empty($player1_meta['recorde-w'])) {
                                            echo nl2br(esc_html($player1_meta['recorde-w']));
                                        }elseif(($player1_meta['recorde-w']) == '0'){
                                            esc_html_e('0', 'rumble');
                                        }
                                        else{
                                            esc_html_e('N/A', 'rumble');
                                        }
                                        ;?></b>
                                </span>
                                <span class="recorde-l" style="color:red"><b>  <?php
                                        if(!empty($player1_meta['recorde-l'])) {
                                            echo nl2br(esc_html($player1_meta['recorde-l']));
                                        }elseif(($player1_meta['recorde-l']) == '0'){
                                            esc_html_e('0', 'rumble');
                                        }
                                        else{
                                            esc_html_e('N/A', 'rumble');
                                        }
                                        ;?></b>
                                </span>
                                <span class="recorde-d" style="color:#2B60DE"><b> <?php
                                        if(!empty($player1_meta['recorde-d']) ) {
                                            echo nl2br(esc_html($player1_meta['recorde-d']));
                                        }elseif(($player1_meta['recorde-d']) == '0'){
                                            esc_html_e('0', 'rumble');
                                        }
                                        else{
                                            esc_html_e('N/A', 'rumble');
                                        }
                                        ?></b>
                                </span>
                            </span>

                    </div>
                </div>
        </div><?php
			
		// Score
		?><div class="sc_matches_item_score"><?php
			if (!$is_match_page) {
				?><a href="<?php echo esc_url(get_permalink($match['id'])); ?>" class="sc_matches_item_link"><?php
			}

			if (!empty($meta['date_start'])) {
				?><div class="sc_matches_item_match_date">
                    <span class="sc_matches_item_match_date_lable">  <?php  esc_html_e('Date: ',  'rumble');?> </span>
                    <span class="sc_matches_item_match_date_value">  <?php echo date_i18n(get_option('date_format').(!empty($meta['time_start']) ? ' '.get_option('time_format') : ''), strtotime($meta['date_start'].(!empty($meta['time_start']) ? ' '.$meta['time_start'] : ''))); ?> </span>
                </div><?php
			}
                ?>
                <div class="sc_matches_item_title">
                    <?php
                    $title = wp_title('', false);
                    if(!empty($title)){
                        ?>
                            <span class="sc_matches_item_match_title_lable">  <?php  esc_html_e('Title: ',  'rumble')?></span>
                            <span class="sc_matches_item_match_title_value">  <?php  rumble_show_layout($title); ?></span>
                        <?php }
                    ?>
                </div>
                <?php
			if (!empty($meta['place'])) {
				?><div class="sc_matches_item_match_place">
                     <span class="sc_matches_item_match_place_lable"> <?php esc_html_e('Location: ',  'rumble');?> </span>
                     <span class="sc_matches_item_match_place_value"> <?php echo esc_html($meta['place']); ?> </span>
               </div><?php
			}

			if (!empty($meta['review']) && !trx_addons_is_off($meta['review'])) {
				?><a class="<?php echo esc_attr(apply_filters('trx_addons_filter_sc_item_link_classes', 'sc_matches_item_review_link theme_button', 'sc_matches', $args)); ?>" href="<?php echo esc_url(get_permalink($meta['review'])); ?>"><span class="sc_matches_item_review_title"><?php esc_html_e('Match Review', 'rumble'); ?></span></a><?php
			}


            if (!empty($meta['description'])) {
                ?><div class="sc_matches_item_match_description">
                    <span class="sc_matches_item_match_description_lable"><?php esc_html_e('Fight Description: ',  'rumble'); ?></span>
                    <span class="sc_matches_item_match_description_value"> <?php echo esc_html($meta['description']); ?></span>
                </div><?php
            }

			if (!$is_match_page) {
				?></a><?php
			}
		?></div><?php

		// Player 2
		?><div class="sc_matches_item_player sc_matches_item_player2"><?php
            $post = get_post($meta['player2']);
            setup_postdata($post);
			// Player's logo
			if (has_post_thumbnail()) {
				trx_addons_get_template_part('templates/tpl.featured.php',
											'trx_addons_args_featured',
											apply_filters('trx_addons_filter_args_featured', array(
																'class' => 'sc_matches_item_thumb',
																'hover' => '',
																'thumb_size' => apply_filters('trx_addons_filter_thumb_size', trx_addons_get_thumb_size('match'), 'sport-player')
																), 'sport-player')
											);
			}
            ?>
            <div class="sc_matches_item_meta">
            <?php

                // Global ID
                if (!empty($player2_meta['global_ID'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_ID">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Global ID', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player2_meta['global_ID']));
                        ?></span>
                    </div><?php
                }

                // Status
                if (!empty($player2_meta['status'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_status">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Status', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player2_meta['status']));
                        ?></span>
                    </div><?php
                }

                // Name
                if (!empty($player2_meta['name'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_status">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Real Name', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player2_meta['name']));
                        ?></span>
                    </div><?php
                }

                // Alias
                if (!empty($player2_meta['alias'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_alias">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Alias', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player2_meta['alias']));
                        ?></span>
                    </div><?php
                }

                // Birthday
                if (!empty($player2_meta['born'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_date">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Born', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo date_i18n(get_option('date_format'), strtotime($player2_meta['born']));
                        ?></span>
                    </div><?php
                }

                // Age
                if (!empty($player2_meta['born'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_age">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Age', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        $cur_date = date("F j y");
                        $current_date = date_i18n(get_option('date_format'), strtotime($cur_date));
                        $d1 = strtotime($player2_meta['born']);
                        $d2 = strtotime( $current_date);
                        $diff = abs($d2 - $d1);
                        $diff = $diff/(60*60*24*365);
                        $years = floor($diff);
                        echo nl2br(esc_html($years)); esc_html_e(' Years', 'rumble');
                        ?>
                                                    </span>
                    </div>
                    <?php
                }

                // Height
                if (!empty($player2_meta['height'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_height">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Height', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player2_meta['height']));
                        ?></span>
                    </div><?php
                }

                // Division
                if (!empty($player2_meta['division'])) {
                    ?><div class="sport_page_meta_item sport_page_meta_division">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Division', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value"><?php
                        echo nl2br(esc_html($player2_meta['division']));
                        ?></span>
                    </div><?php
                }

                if (!empty($player2_meta['nationality']) || !empty($player2_meta['nationality_flag']) ) {
                    ?><div class="sport_page_meta_item sport_page_meta_nationality">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Nationality', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value">
                                                    <?php
                                                    $flag = isset($player2_meta['nationality_flag']) ? $player2_meta['nationality_flag'] : '';
                                                    ?>
                        <img class="sport_page_meta_nationality_flag" src="<?php rumble_show_layout($flag)?>"> </img>
                        <?php

                        echo nl2br(esc_html($player2_meta['nationality'])); ?></span>
                    </div><?php
                }
                if (!empty($player2_meta['residence']) || !empty($player2_meta['residence_flag']) ) {
                    ?><div class="sport_page_meta_item sport_page_meta_residence">
                    <span class="sport_page_meta_item_label"><?php esc_html_e('Residence', 'rumble'); ?></span>
                    <span class="sport_page_meta_item_value">
                                                    <?php
                                                    $flag = isset($player2_meta['residence_flag']) ? $player2_meta['residence_flag'] : '';
                                                    ?>
                        <img class="sport_page_meta_residence_flag" src="<?php rumble_show_layout($flag)?>"> </img>
                        <?php
                        echo nl2br(esc_html($player2_meta['residence'])); ?></span>
                    </div><?php
                }

                    ?>
                    <div class="sport_page_meta_item sport_page_meta_boxer_record">
                        <span class="sport_page_meta_item_label"><?php esc_html_e('Record', 'rumble'); ?></span>
                        <span class="sport_page_meta_item_value">
                                <span class="recorde-w" style="color:#008000"><b> <?php
                                        if(!empty($player2_meta['recorde-w'])) {
                                            echo nl2br(esc_html($player2_meta['recorde-w']));
                                        }elseif(($player2_meta['recorde-w']) == '0'){
                                            esc_html_e('0', 'rumble');
                                        }
                                        else{
                                            esc_html_e('N/A', 'rumble');
                                        }
                                        ;?></b>
                                </span>
                                <span class="recorde-l" style="color:red"><b>  <?php
                                        if(!empty($player2_meta['recorde-l'])) {
                                            echo nl2br(esc_html($player2_meta['recorde-l']));
                                        }elseif(($player2_meta['recorde-l']) == '0'){
                                            esc_html_e('0', 'rumble');
                                        }
                                        else{
                                            esc_html_e('N/A', 'rumble');
                                        }
                                        ;?></b>
                                </span>
                                <span class="recorde-d" style="color:#2B60DE"><b> <?php
                                        if(!empty($player2_meta['recorde-d']) ) {
                                            echo nl2br(esc_html($player2_meta['recorde-d']));
                                        }elseif(($player2_meta['recorde-d']) == '0'){
                                            esc_html_e('0', 'rumble');
                                        }
                                        else{
                                            esc_html_e('N/A', 'rumble');
                                        }
                                        ?></b>
                                </span>
                            </span>

                    </div>
            </div>
        </div>
	</div>
	<?php
	wp_reset_postdata();
}
?>