<?php
/**
 * The template to display the match's single post
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6.17
 */

get_header();

global $post;

while ( have_posts() ) { the_post();
	
	$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
	
	do_action('trx_addons_action_before_article', 'matches.single');
	?>
    <article id="post-<?php the_ID(); ?>" <?php post_class( 'sport_single match_single itemscope' ); trx_addons_seo_snippets('', 'Article'); ?>>

		<?php do_action('trx_addons_action_article_start', 'matches.single'); ?>
		
		<section class="sport_page_header sc_matches_main">	

			<?php
			// Featured image
			if ( !trx_addons_sc_layouts_showed('featured') && has_post_thumbnail() ) {
				?><div class="sport_page_featured"><?php
					the_post_thumbnail(
										apply_filters('trx_addons_filter_thumb_size', trx_addons_get_thumb_size('masonry-big'), 'sport-matches'),
										trx_addons_seo_image_params(array(
																		'alt' => the_title_attribute( array( 'echo' => false ) )
																		))
										);
				?></div><?php
			
			// Players and score
			} else {
				$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
				// Competition type == 'pair'
				if (!empty($meta['player1']) && !empty($meta['player2'])) {
					trx_addons_get_template_part(TRX_ADDONS_PLUGIN_CPT . 'sport/tpl.sc_matches.default-main.php',
													'trx_addons_args_sc_matches_item',
													array('id' => get_the_ID(), 'meta' => $meta)
												);
				}
			}
			?>
			
		</section>
		<?php

		// Post content
		?><div class="sport_page_content entry-content"<?php trx_addons_seo_snippets('articleBody'); ?>><?php
			the_content( );
		?></div><!-- .entry-content --><?php
		
		// Display players list
		?>
		<?php do_action('trx_addons_action_article_end', 'matches.single'); ?>
		
	</article><?php

	do_action('trx_addons_action_after_article', 'matches.single');

}

get_footer();
?>