<?php
/**
 * The template to display the player's single post
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6.17
 */

get_header();

while ( have_posts() ) { the_post();
	
	$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);

	do_action('trx_addons_action_before_article', 'players.single');
	?>
    <article id="post-<?php the_ID(); ?>" <?php post_class( 'sport_single player_single itemscope' ); trx_addons_seo_snippets('', 'Article'); ?>>

		<?php do_action('trx_addons_action_article_start', 'players.single'); ?>
		
		<section class="sport_page_header">	

			<?php
			// Image
			if ( !trx_addons_sc_layouts_showed('featured') && has_post_thumbnail() ) {
				?><div class="sport_page_featured">
					<?php
					the_post_thumbnail(
										apply_filters('trx_addons_filter_thumb_size', trx_addons_get_thumb_size('boxer'), 'sport-players'),
										trx_addons_seo_image_params(array(
																		'alt' => the_title_attribute( array( 'echo' => false ) )
																		))
										);
					?>
				</div>
				<?php
			}
			
			// Title
			if (!trx_addons_sc_layouts_showed('title')) {
				?><h2 class="sport_page_title"><?php the_title(); ?></h2><?php
			}

			// Meta
			if ( !trx_addons_sc_layouts_showed('postmeta') ) {
				?><div class="sport_page_meta"><?php

					// Global ID
					if (!empty($meta['global_ID'])) {
						?><div class="sport_page_meta_item sport_page_meta_ID">
							<span class="sport_page_meta_item_label"><?php esc_html_e('Global ID', 'rumble'); ?></span>
							<span class="sport_page_meta_item_value"><?php
                                echo nl2br(esc_html($meta['global_ID']));
							?></span>
						</div><?php
					}

					// Status
					if (!empty($meta['status'])) {
						?><div class="sport_page_meta_item sport_page_meta_status">
							<span class="sport_page_meta_item_label"><?php esc_html_e('Status', 'rumble'); ?></span>
							<span class="sport_page_meta_item_value"><?php
                                echo nl2br(esc_html($meta['status']));
							?></span>
						</div><?php
					}

					// Name
					if (!empty($meta['name'])) {
						?><div class="sport_page_meta_item sport_page_meta_status">
							<span class="sport_page_meta_item_label"><?php esc_html_e('Real Name', 'rumble'); ?></span>
							<span class="sport_page_meta_item_value"><?php
                                echo nl2br(esc_html($meta['name']));
							?></span>
						</div><?php
					}

                    // Alias
                    if (!empty($meta['alias'])) {
                        ?><div class="sport_page_meta_item sport_page_meta_alias">
                        <span class="sport_page_meta_item_label"><?php esc_html_e('Alias', 'rumble'); ?></span>
                        <span class="sport_page_meta_item_value"><?php
                            echo nl2br(esc_html($meta['alias']));
                            ?></span>
                        </div><?php
                    }

					// Birthday
					if (!empty($meta['born'])) {
						?><div class="sport_page_meta_item sport_page_meta_date">
							<span class="sport_page_meta_item_label"><?php esc_html_e('Born', 'rumble'); ?></span>
							<span class="sport_page_meta_item_value"><?php
								echo date_i18n(get_option('date_format'), strtotime($meta['born']));
							?></span>
						</div><?php
					}

                    // Age
                    if (!empty($meta['born'])) {
                        ?><div class="sport_page_meta_item sport_page_meta_age">
                            <span class="sport_page_meta_item_label"><?php esc_html_e('Age', 'rumble'); ?></span>
                            <span class="sport_page_meta_item_value"><?php
                                $cur_date = date("F j y");
                                $current_date = date_i18n(get_option('date_format'), strtotime($cur_date));
                                $d1 = strtotime($meta['born']);
                                $d2 = strtotime( $current_date);
                                $diff = abs($d2 - $d1);
                                $diff = $diff/(60*60*24*365);
                                $years = floor($diff);
                                echo nl2br(esc_html($years)); esc_html_e(' Years', 'rumble');
                                ?>
                            </span>
                        </div>
                        <?php
                    }

                    // Height
                    if (!empty($meta['height'])) {
                        ?><div class="sport_page_meta_item sport_page_meta_height">
                        <span class="sport_page_meta_item_label"><?php esc_html_e('Height', 'rumble'); ?></span>
                        <span class="sport_page_meta_item_value"><?php
                            echo nl2br(esc_html($meta['height']));
                            ?></span>
                        </div><?php
                    }

                    // Division
                    if (!empty($meta['division'])) {
                        ?><div class="sport_page_meta_item sport_page_meta_division">
                        <span class="sport_page_meta_item_label"><?php esc_html_e('Division', 'rumble'); ?></span>
                        <span class="sport_page_meta_item_value"><?php
                            echo nl2br(esc_html($meta['division']));
                            ?></span>
                        </div><?php
                    }

                    if (!empty($meta['nationality']) || !empty($meta['nationality_flag']) ) {
                        ?><div class="sport_page_meta_item sport_page_meta_nationality">
                        <span class="sport_page_meta_item_label"><?php esc_html_e('Nationality', 'rumble'); ?></span>
                        <span class="sport_page_meta_item_value">
                            <?php
                                $flag = isset($meta['nationality_flag']) ? $meta['nationality_flag'] : '';
                            ?>
                                <img class="sport_page_meta_nationality_flag" src="<?php rumble_show_layout($flag)?>"> </img>
                            <?php

                            echo nl2br(esc_html($meta['nationality'])); ?></span>
                        </div><?php
                    }
                    if (!empty($meta['residence']) || !empty($meta['residence_flag']) ) {
                        ?><div class="sport_page_meta_item sport_page_meta_residence">
                        <span class="sport_page_meta_item_label"><?php esc_html_e('Residence', 'rumble'); ?></span>
                        <span class="sport_page_meta_item_value">
                            <?php
                                $flag = isset($meta['residence_flag']) ? $meta['residence_flag'] : '';
                            ?>
                                <img class="sport_page_meta_residence_flag" src="<?php rumble_show_layout($flag)?>"> </img>
                            <?php
                            echo nl2br(esc_html($meta['residence'])); ?></span>
                        </div><?php
                    }
                        ?>
                        <div class="sport_page_meta_item sport_page_meta_boxer_record">
                            <span class="sport_page_meta_item_label"><?php esc_html_e('Record', 'rumble'); ?></span>
                            <span class="sport_page_meta_item_value">
                                <span class="recorde-w" style="color:#008000"><b> <?php
                                        if(!empty($meta['recorde-w'])) {
                                            echo nl2br(esc_html($meta['recorde-w']));
                                        }elseif(($meta['recorde-w']) == '0'){
                                            esc_html_e('0', 'rumble');
                                        }
                                        else{
                                            esc_html_e('N/A', 'rumble');
                                        }
                                        ;?></b>
                                </span>
                                <span class="recorde-l" style="color:red"><b>  <?php
                                        if(!empty($meta['recorde-l'])) {
                                            echo nl2br(esc_html($meta['recorde-l']));
                                        }elseif(($meta['recorde-l']) == '0'){
                                            esc_html_e('0', 'rumble');
                                        }
                                        else{
                                            esc_html_e('N/A', 'rumble');
                                        }
                                        ;?></b>
                                </span>
                                <span class="recorde-d" style="color:#2B60DE"><b> <?php
                                        if(!empty($meta['recorde-d']) ) {
                                            echo nl2br(esc_html($meta['recorde-d']));
                                        }elseif(($meta['recorde-d']) == '0'){
                                            esc_html_e('0', 'rumble');
                                        }
                                        else{
                                            esc_html_e('N/A', 'rumble');
                                        }
                                        ?></b>
                                </span>
                            </span>

                        </div>

                <?php
			}
			?>

		</section>
		<?php

		// Post content
		?><div class="sport_page_content entry-content"<?php trx_addons_seo_snippets('articleBody'); ?>><?php
			the_content( );
		?></div><!-- .entry-content -->

		<?php do_action('trx_addons_action_article_end', 'players.single'); ?>

	</article><?php

}

get_footer();
?>